{% extends "dashboard/dashboard_content.html" %}

{% block head_block %}
    <link href="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.3/css/select2.min.css" rel="stylesheet"/>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.3/js/select2.min.js"></script>

    <!-- Latest compiled and minified CSS -->
    <link rel="stylesheet"
          href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.11.2/css/bootstrap-select.min.css">

    <!-- Latest compiled and minified JavaScript -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.11.2/js/bootstrap-select.min.js"></script>


{% endblock %}

{% block rightPane %}
    {% if perms.curriculum.can_create_semester_plan %}
        <div class="x_panel">
        <div class="x_title">
            <h2>
                <i class="fi-clipboard-pencil"></i>
                First Year Semester Plan
            </h2>
            <div class="clearfix"></div>
        </div>
        <div class="x_content">
        <div class="row">
            <form method="POST" class="form-horizontal">{% csrf_token %}
                <ul class="nav nav-tabs bar_tabs col-sm-12 col-xs-12 col-md-12">
                    {% for dept in all_core_departments %}
                        {% if dept.acronym == selected_department.acronym %}
                            <li class="active">
                                <input type="submit" name="selected_department_acronym" value="{{ dept.acronym }}"
                                       disabled
                                       style="width: 60px; border: none; height: 40px; background-color: white">
                            </li>
                        {% else %}
                            <li class="">
                                <input type="submit" name="selected_department_acronym" value="{{ dept.acronym }}"
                                       style="width: 60px; border: none; height: 40px">
                            </li>
                        {% endif %}
                    {% endfor %}
                </ul>
            </form>
            <div class="tab-content">
                <form method="POST">{% csrf_token %}
                    <input type="hidden" name="chosen_dept_from_select_department"
                           value="{{ selected_department_id }}">
                    <div style="text-align: center; border: ridge">
                        <h4 class="text-info"> Available Departments </h4>
                        {% for department in available_departments %}
                            <input id="{{ department.acronym }}" onchange="this.form.submit()"
                                   type="checkbox" name="select_department" value="{{ department.dept_id }}"
                                    {% if department.dept_id in selected_departments %}
                                   checked
                                    {% endif %}
                                    {% if department.dept_id == current_department %}
                                   hidden
                                    {% endif %}
                            >
                            {% if department.dept_id == current_department %}
                                <i class="fa fa-check"></i>
                            {% endif %}
                            {{ department.acronym }}
                        {% endfor %}
                    </div>
                </form>
                <br><br>
                <div role="tabpanel">
                    <div class="col-md-12 col-sm-12 col-xs-12">
                        <form method="POST" class="form-horizontal" id="create_semester">
                            <input type="hidden" name="post_select_department"
                                   value="{{ selected_department_id }}">
                            {% csrf_token %}
                            <div class="form-group">
                                <input type="hidden" name="selected_tab" value="{{ selected_batch }}">
                                <label class="col-md-4 col-sm-3 control-label"> {{ course.text }}
                                    Current Faculty Advisors
                                </label>
                                <div class="col-md-4 col-sm-4 col-xs-12">&nbsp;
                                    <select class="selectpicker" name="choosen_faculty_advisors" data-max-options="3"
                                            multiple title="Not Alloted" data-live-search="true" data-width="400px"
                                            required
                                    >
                                        {% for staff in list_of_staffs %}
                                            {% if staff.id in faculty_advisors_list %}
                                                <option value="{{ staff.id }}" selected="selected"
                                                        data-subtext="{{ staff.designation }}">{{ staff.staff_name }}</option>
                                            {% else %}
                                                <option value="{{ staff.id }}"
                                                        data-subtext="{{ staff.designation }}">{{ staff.staff_name }}</option>
                                            {% endif %}
                                        {% endfor %}
                                    </select>
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="col-md-3 col-sm-3 col-xs-12 col-md-offset-1 control-label">Term
                                    1 Starting Date</label>
                                <div class="col-md-5 col-sm-6 col-xs-12">
                                    <input type="text" id="sd1" placeholder="Click to choose a date"
                                           name="start_term_1" class="form-control">
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="col-md-3 col-sm-3 col-xs-12 col-md-offset-1 control-label">Term
                                    1 Ending Date</label>
                                <div class="col-md-5 col-sm-6 col-xs-12">
                                    <input type="text" id="ed1" placeholder="Click to choose a date"
                                           name="end_term_1" class="form-control">
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="col-md-3 col-sm-3 col-xs-12 col-md-offset-1 control-label">Term
                                    2 Starting Date</label>
                                <div class="col-md-5 col-sm-6 col-xs-12">
                                    <input type="text" id="sd2" placeholder="Click to choose a date"
                                           name="start_term_2" class="form-control">
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="col-md-3 col-sm-3 col-xs-12 col-md-offset-1 control-label">Term
                                    2 Ending Date</label>
                                <div class="col-md-5 col-sm-6 col-xs-12">
                                    <input type="text" id="ed2" placeholder="Click to choose a date"
                                           name="end_term_2" class="form-control">
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="col-md-3 col-sm-3 col-xs-12 col-md-offset-1 control-label">Term
                                    3 Starting Date</label>
                                <div class="col-md-5 col-sm-6 col-xs-12">
                                    <input type="text" id="sd3" placeholder="Click to choose a date"
                                           name="start_term_3" class="form-control">
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="col-md-3 col-sm-3 col-xs-12 col-md-offset-1 control-label">Term
                                    3 Ending Date</label>
                                <div class="col-md-5 col-sm-6 col-xs-12">
                                    <input type="text" id="ed3" placeholder="Click to choose a date"
                                           name="end_term_3" class="form-control">
                                </div>
                            </div>

                            <div class="col-sm-2 col-sm-offset-5">
                                <button class="save btn btn-lg btn-success" name="semester_plan"
                                        value="semester_plan" id="reg_btn">Submit
                                </button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    {% endif %}
<script type="text/javascript">
    $("#nav_tabs").tabCollapse();
</script>

<script type="text/javascript">
    $(function () {
        $('#sd1').daterangepicker({
            singleDatePicker: true,
            calender_style: "picker_3",
            locale: {
                format: 'DD/MM/YYYY'
            }
        });
        $('#sd2').daterangepicker({
            singleDatePicker: true,
            calender_style: "picker_3",
            locale: {
                format: 'DD/MM/YYYY'
            }
        });
        $('#sd3').daterangepicker({
            singleDatePicker: true,
            calender_style: "picker_3",
            locale: {
                format: 'DD/MM/YYYY'
            }
        });
        $('#ed1').daterangepicker({
            singleDatePicker: true,
            calender_style: "picker_3",
            locale: {
                format: 'DD/MM/YYYY'
            }
        });
        $('#ed2').daterangepicker({
            singleDatePicker: true,
            calender_style: "picker_3",
            locale: {
                format: 'DD/MM/YYYY'
            }
        });
        $('#ed3').daterangepicker({
            singleDatePicker: true,
            calender_style: "picker_3",
            locale: {
                format: 'DD/MM/YYYY'
            }
        });
    });
</script>

<script type="text/javascript">

    var selectbox = $('[name="faculty_advisor"]').select2({
        maximumSelectionLength: 3
    });

    var current_active_batch;
    //For getting CSRF token
    function getCookie(name) {
        var cookieValue = null;
        if (document.cookie && document.cookie != '') {
            var cookies = document.cookie.split(';');
            for (var i = 0; i < cookies.length; i++) {
                var cookie = jQuery.trim(cookies[i]);
                // Does this cookie string begin with the name we want?
                if (cookie.substring(0, name.length + 1) == (name + '=')) {
                    cookieValue = decodeURIComponent(cookie.substring(name.length + 1));
                    break;
                }
            }
        }
        return cookieValue;
    }

    $('document').ready(function () {
        $('[name="batch_tab"]').click(function () {
            var id = this.id;
            var dataArray = id.split('-');
            current_active_batch = dataArray[3];
            //alert(dataArray);
            $.ajax({
                url: '{% url 'current_fa' %}',
                type: 'POST',
                data: {
                    csrfmiddlewaretoken: getCookie('csrftoken'),
                    programme: dataArray[0],
                    start_year: dataArray[1],
                    end_year: dataArray[2],
                },
                success: function (data)//we got the response
                {
                    //alert('success');
                    //alert(data['list']);
                    selectbox.val(data['list']).trigger("change");
                    $('#sd1').val(data['start_term_1']);
                    $('#sd2').val(data['start_term_2']);
                    $('#sd3').val(data['start_term_3']);
                    $('#ed1').val(data['end_term_1']);
                    $('#ed2').val(data['end_term_2']);
                    $('#ed3').val(data['end_term_3']);
                },
                error: function (exception) {
                    alert('Exeption:' + exception);
                }
            });
        });
    });
</script>
<script type="text/javascript">
    $('document').ready(function () {
        $('#sd1').val('{{ semester_plan_dates.start_term_1 }}');
        $('#sd2').val('{{ semester_plan_dates.start_term_2 }}');
        $('#sd3').val('{{ semester_plan_dates.start_term_3 }}');
        $('#ed1').val('{{ semester_plan_dates.end_term_1 }}');
        $('#ed2').val('{{ semester_plan_dates.end_term_2}}');
        $('#ed3').val('{{ semester_plan_dates.end_term_3 }}');
    });
</script>



<script type="text/javascript">
    $('document').ready(function () {
        $($('a[name="batch_tab"]')[0]).click(function () {
            //alert('im called 2');
            this._click;
            //alert('im called 3');
        }).click();
    });
</script>

<script type="text/javascript">
    $("#reg_btn").click(function () {
        var $hiddenInput = $('<input/>', {type: 'hidden', value: current_active_batch, name: 'batch'});
        $hiddenInput.appendTo('form');
    });
</script>

{% endblock %}